﻿CREATE TABLE [dbo].[CompanyStrategyMapping] (
    [Id]               UNIQUEIDENTIFIER NOT NULL,
    [CompanyId]        UNIQUEIDENTIFIER NULL,
    [Date]             DATETIME2 (7)    NULL,
    [Approach]         UNIQUEIDENTIFIER NULL,
    [Strategy]         NVARCHAR (256)   NULL,
    [Category]         UNIQUEIDENTIFIER NULL,
    [Importance]       UNIQUEIDENTIFIER NULL,
    [Impact]           UNIQUEIDENTIFIER NULL,
    [Remark]           NVARCHAR (512)   NULL,
    [CreatedOn]        DATETIME2 (7)    NULL,
    [UserCreatedById]  UNIQUEIDENTIFIER NULL,
    [ModifiedOn]       DATETIME2 (7)    NULL,
    [UserModifiedById] UNIQUEIDENTIFIER NULL,
    [IsDeleted]        BIT              NULL,
    [DeletedOn]        DATETIME2 (7)    NULL,
    [UserDeletedById]  UNIQUEIDENTIFIER NULL,
    CONSTRAINT [PK_CompanyStrategyMapping] PRIMARY KEY CLUSTERED ([Id] ASC),
    CONSTRAINT [FK_CompanyStrategyMapping_AviraUser] FOREIGN KEY ([UserCreatedById]) REFERENCES [dbo].[AviraUser] ([Id]),
    CONSTRAINT [FK_CompanyStrategyMapping_AviraUser1] FOREIGN KEY ([UserModifiedById]) REFERENCES [dbo].[AviraUser] ([Id]),
    CONSTRAINT [FK_CompanyStrategyMapping_AviraUser2] FOREIGN KEY ([UserDeletedById]) REFERENCES [dbo].[AviraUser] ([Id]),
    CONSTRAINT [FK_CompanyStrategyMapping_ClientStrategyCategory] FOREIGN KEY ([Category]) REFERENCES [dbo].[Category] ([Id]),
    CONSTRAINT [FK_CompanyStrategyMapping_Company] FOREIGN KEY ([CompanyId]) REFERENCES [dbo].[Company] ([Id]),
    CONSTRAINT [FK_CompanyStrategyMapping_ImpactDirection] FOREIGN KEY ([Impact]) REFERENCES [dbo].[ImpactDirection] ([Id]),
    CONSTRAINT [FK_CompanyStrategyMapping_Importance] FOREIGN KEY ([Importance]) REFERENCES [dbo].[Importance] ([Id])
);

